image: python:latest

# Change ruff's cache directory to be inside the project directory since we can
# only cache local items: https://docs.astral.sh/ruff/settings/#cache-dir
variables:
  RUFF_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

# https://pip.pypa.io/en/stable/topics/caching/
cache:
  paths:
    - .cache/pip

before_script:
  - make .venv

test:
  script:
    - make check

pages:
  stage: deploy
  script:
    - echo "The site will be deployed to $CI_PAGES_URL"
    - echo "Rendering static pages"
    - make render
    - echo "Successfully rendered static pages"
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
